Index: /branches/version-2_11-dev/data/module/SOAP/example/attachment.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/attachment.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/attachment.php	(revision 21410)
@@ -1,8 +1,3 @@
 <?php
-/**
- * @category Web Services
- * @package SOAP
- */
-
 require_once("SOAP/Client.php");
 require_once("SOAP/test/test.utility.php");
Index: /branches/version-2_11-dev/data/module/SOAP/example/email_pop_server.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/email_pop_server.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/email_pop_server.php	(revision 21410)
@@ -1,55 +1,67 @@
 <?php
-/**
- * POP3 server.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more   |
+// +----------------------------------------------------------------------+
+//
+// $Id: email_pop_server.php,v 1.6 2005/03/10 23:16:40 yunosh Exp $
+//
 
-/* SOAP_Server_Email */
+/* include the Email server class, which knows how to
+   parse a standard email as a soap message */
+
 require_once 'SOAP/Server/Email.php';
 
-/* Include a class to access POP3. */
+/* include a class to access POP3 */
+
 require_once 'Net/POP3.php';
 
-/* Create the SOAP Server object. */
+/* create the SOAP Server object */
+
 $server = new SOAP_Server_Email;
 
-/* Tell the server to translate to classes we provide if possible. */
+/* tell server to translate to classes we provide if possible */
 $server->_auto_translation = true;
 
-require_once './example_server.php';
+require_once 'example_server.php';
+
 $soapclass = new SOAP_Example_Server();
 $server->addObjectMap($soapclass,'urn:SOAP_Example_Server');
 
-/* Connect to a POP3 server and read the messages. */
-$pop3 = new Net_POP3();
+
+/* Connect to a POP3 server and read the messages */
+
+$pop3 =& new Net_POP3();
 if ($pop3->connect('localhost', 110)) {
     if ($pop3->login('username', 'password')) {
         $listing = $pop3->getListing();
 
-        /* Now loop through each message, and call the SOAP server with that
-         * message. */
+	/* now loop through each message, and call the 
+           SOAP server with that message */
+
         foreach ($listing as $msg) {
+
             $email = $pop3->getMsg($msg['msg_id']);
-            /* This is where we actually handle the SOAP response.  The
-             * SOAP_Server_Email class we are using will send the SOAP
-             * response to the sender via email. */
+
+            /* this is where we actually handle the SOAP
+               response.  The SOAP::Server::Email class we
+               are using will send the SOAP response to 
+               the sender via email. */
+
             if ($email) {
                 $server->client($email);
+
                 $pop3->deleteMsg($msg['msg_id']);
             }
@@ -58,2 +70,3 @@
     $pop3->disconnect();
 }
+?>
Index: /branches/version-2_11-dev/data/module/SOAP/example/stockquote.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/stockquote.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/stockquote.php	(revision 21410)
@@ -1,52 +1,54 @@
 <html><body>
 <?
-/**
- * Stockquote client.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more   |
+// | Authors: Dietrich Ayala <dietrich@ganx4.com> Original Author         |
+// +----------------------------------------------------------------------+
+//
+// $Id: stockquote.php,v 1.7 2005/03/10 23:16:40 yunosh Exp $
+//
+// include soap client class
+include("SOAP/Client.php");
 
-/* Include SOAP_Client class. */
-require_once 'SOAP/Client.php';
-
-echo '<br><strong>wsdl:</strong>';
-$wsdl = new SOAP_WSDL('http://services.xmethods.net/soap/urn:xmethods-delayed-quotes.wsdl');
+print "<br>\n<strong>wsdl:</strong>";
+$wsdl = new SOAP_WSDL("http://services.xmethods.net/soap/urn:xmethods-delayed-quotes.wsdl");
 $soapclient = $wsdl->getProxy();
-$ret = $soapclient->call('getQuote', array('symbol' => 'ibm'));
-print_r($ret);
+print_r($soapclient->getQuote("ibm"));
+print "\n\n";
 
 if (extension_loaded('overload')) {
-	echo '<br><strong>overloaded:</strong>';
-	$ret = $soapclient->getQuote('ibm');
+	print "\n<br><strong>overloaded:</strong>";
+	$ret = $soapclient->getQuote("ibm");
 	print_r($ret);
+	print "\n\n";
 }
+unset($soapclient);
 
-echo '<br><strong>non wsdl:</strong>';
-$soapclient = new SOAP_Client('http://services.xmethods.net:80/soap');
-$namespace = 'urn:xmethods-delayed-quotes';
-/* Some SOAP servers require a Soapaction HTTP header.  PEAR::SOAP does not
- * use them in any way, other to send them if you supply them.  soapaction is
- * deprecated in later SOAP versions. */
-$soapaction = 'urn:xmethods-delayed-quotes#getQuote';
-$ret = $soapclient->call('getQuote',
-                         array('symbol' => 'ibm'),
-                         $namespace,
-                         $soapaction);
+print "\n<br><strong>non wsdl:</strong>";
+$soapclient = new SOAP_Client("http://services.xmethods.net:80/soap");
+$namespace = "urn:xmethods-delayed-quotes";
+/**
+ * some soap servers require a Soapaction http header.  PEAR::SOAP does
+ * not use them in any way, other to send them if you supply them.
+ * soapaction is deprecated in later SOAP versions.
+ */
+$soapaction = "urn:xmethods-delayed-quotes#getQuote";
+$ret = $soapclient->call("getQuote",array("symbol"=>"ibm"),$namespace,$soapaction);
 print_r($ret);
+print "\n\n";
+unset($soapclient);
 
 ?>
Index: /branches/version-2_11-dev/data/module/SOAP/example/server.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/server.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/server.php	(revision 21410)
@@ -1,59 +1,49 @@
 <?php
-/**
- * Server endpoint.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>                           |
+// +----------------------------------------------------------------------+
+//
+// $Id: server.php,v 1.10 2005/03/10 23:16:40 yunosh Exp $
+//
 
-/* If you want to implement Basic HTTP Authentication, uncomment the following
- * lines of code. */
-// if (!isset($_SERVER['PHP_AUTH_USER']) ||
-//     !isset($_SERVER['PHP_AUTH_PW']) ||
-//     $_SERVER['PHP_AUTH_USER'] !== 'username' ||
-//     $_SERVER['PHP_AUTH_PW'] !== 'password') {
-//     header('WWW-Authenticate: Basic realm="My Realm"');
-//     header('HTTP/1.0 401 Unauthorized');
-//     echo 'Not authorized!';
-//     exit;
-// }
+// first, include the SOAP/Server class
+require_once 'SOAP/Server.php';
 
-/* First, include the SOAP_Server class. */
-require_once 'SOAP/Server.php';
 $server = new SOAP_Server;
-
-/* Tell server to translate to classes we provide if possible. */
+/* tell server to translate to classes we provide if possible */
 $server->_auto_translation = true;
 
-require_once dirname(__FILE__) . '/example_server.php';
+require_once 'example_server.php';
+
 $soapclass = new SOAP_Example_Server();
-$server->addObjectMap($soapclass, 'urn:SOAP_Example_Server');
+$server->addObjectMap($soapclass,'urn:SOAP_Example_Server');
 
 if (isset($_SERVER['REQUEST_METHOD']) &&
-    $_SERVER['REQUEST_METHOD'] == 'POST') {
+    $_SERVER['REQUEST_METHOD']=='POST') {
     $server->service($HTTP_RAW_POST_DATA);
 } else {
     require_once 'SOAP/Disco.php';
-    $disco = new SOAP_DISCO_Server($server, 'ServerExample');
-    header('Content-type: text/xml');
+    $disco = new SOAP_DISCO_Server($server,'ServerExample');
+    header("Content-type: text/xml");
     if (isset($_SERVER['QUERY_STRING']) &&
-        strpos($_SERVER['QUERY_STRING'], 'wsdl') !== false) {
+       strcasecmp($_SERVER['QUERY_STRING'],'wsdl')==0) {
         echo $disco->getWSDL();
     } else {
         echo $disco->getDISCO();
     }
+    exit;
 }
+?>
Index: /branches/version-2_11-dev/data/module/SOAP/example/wsdl_client.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/wsdl_client.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/wsdl_client.php	(revision 21410)
@@ -1,79 +1,83 @@
 <?php
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>                           |
+// +----------------------------------------------------------------------+
+//
+// $Id: wsdl_client.php,v 1.5 2007/01/22 11:33:27 yunosh Exp $
+//
+include("SOAP/Client.php");
+
 /**
- * WSDL client.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
+ * this client runs against the example server in SOAP/example/server.php
+ * it does not use WSDL to run these requests, but that can be changed easily by simply
+ * adding '?wsdl' to the end of the url.
  */
-
-require_once 'SOAP/Client.php';
-
-/* This client runs against the example server in SOAP/example/server.php.  It
- * does not use WSDL to run these requests, but that can be changed easily by
- * simply adding '?wsdl' to the end of the url. */
-$wsdl = new SOAP_WSDL('http://localhost/SOAP/example/server.php?wsdl');
+$wsdl = new SOAP_WSDL("http://localhost/SOAP/example/server.php?wsdl");
 $soapclient = $wsdl->getProxy();
 
-$ret = $soapclient->echoStringSimple('this is a test string');
-// echo $soapclient->getWire();
-print_r($ret);
+$ret = $soapclient->echoStringSimple("this is a test string");
+//print $soapclient->getWire();
+print_r($ret);echo "<br>\n";
 
-$ret = $soapclient->echoString('this is a test string');
-print_r($ret);
+$ret = $soapclient->echoString("this is a test string");
+print_r($ret);echo "<br>\n";
 
-$ret = $soapclient->divide(22, 7);
-// echo $soapclient->getWire();
-if (is_a($ret, 'PEAR_Error')) {
-    echo 'Error: ' . $ret->getMessage() . "\n";
-} else {
-    echo 'Quotient is ' . $ret . "\n";
-}
+$ret = $soapclient->divide(22,7);
+// print $soapclient->getWire();
+if (PEAR::isError($ret))
+    print("Error: " . $ret->getMessage() . "<br>\n");
+else
+    print("Quotient is " . $ret . "<br>\n");
 
-$ret = $soapclient->divide(22, 0);
-if (is_a($ret, 'PEAR_Error')) {
-    echo 'Error: ' . $ret->getMessage() . "\n";
-} else {
-    echo 'Quotient is ' . $ret . "\n";
-}
+$ret = $soapclient->divide(22,0);
+if (PEAR::isError($ret))
+    print("Error: " . $ret->getMessage() . "<br>\n");
+else
+    print("Quotient is " . $ret . "<br>\n");
 
-/* SOAPStruct is defined in the following file. */
-require_once './example_types.php';
-$struct = new SOAPStruct('test string', 123, 123.123);
 
-/* Tell the client to translate to classes we provide if possible.
- * You can explicitly set the translation for a specific class.
+// SOAPStruct is defined in the following file
+require_once 'example_types.php';
+
+$struct = new SOAPStruct('test string',123,123.123);
+
+/* Send an object, get an object back.
+ * Tell the client to translate to classes we provide if possible. */
+$soapclient->_auto_translation = true;
+/* Or you can explicitly set the translation for a specific class.
  * auto_translation works for all cases, but opens ANY class in the script to
- * be used as a data type, and may not be desireable.  Both can be used on
+ * be used as a data type, and may not be desireable.  both can be used on
  * client or server. */
-$soapclient->_auto_translation = true;
-
 $soapclient->setTypeTranslation('{http://soapinterop.org/xsd}SOAPStruct',
                                 'SOAPStruct');
 $ret = $soapclient->echoStruct($struct->__to_soap());
-// echo $soapclient->getWire();
+//print $soapclient->getWire();
 print_r($ret);
 
-/* PHP doesn't support multiple OUT parameters in function calls, so we must
+/**
+ * PHP doesn't support multiple OUT parameters in function calls, so we must
  * do a little work to make it happen here.  This requires knowledge on the
- * developers part to figure out how they want to deal with it. */
+ * developers part to figure out how they want to deal with it.
+ */
 $ret = $soapclient->echoStructAsSimpleTypes($struct->__to_soap());
-if (is_a($ret, 'PEAR_Error')) {
-    echo 'Error: ' . $ret->getMessage() . "\n";
+if (PEAR::isError($ret)) {
+    print("Error: " . $ret->getMessage() . "<br>\n");
 } else {
     list($string, $int, $float) = array_values($ret);
 }
-echo "varString: $string\nvarInt: $int\nvarFloat: $float\n";
+echo "varString: $string<br>\nvarInt: $int<br>\nvarFloat: $float<br>\n";
+
+?>
Index: /branches/version-2_11-dev/data/module/SOAP/Server.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/Server.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/Server.php	(revision 21410)
@@ -176,5 +176,5 @@
             /* We'll try to build our endpoint. */
             $this->endpoint = 'http://' . $_SERVER['SERVER_NAME'];
-            if (isset($_SERVER['SERVER_PORT'])) {
+            if ($_SERVER['SERVER_PORT']) {
                 $this->endpoint .= ':' . $_SERVER['SERVER_PORT'];
             }
@@ -186,5 +186,5 @@
         if (isset($_SERVER['CONTENT_TYPE'])) {
             if (strcasecmp($_SERVER['CONTENT_TYPE'], 'application/dime') == 0) {
-                $this->_decodeDIMEMessage($data, $this->headers, $attachments);
+                $this->_decodeDIMEMessage($data, $headers, $attachments);
                 $useEncoding = 'DIME';
             } elseif (stristr($_SERVER['CONTENT_TYPE'], 'multipart/related')) {
@@ -193,12 +193,12 @@
                     stripslashes($_SERVER['CONTENT_TYPE']) .
                     "\r\n\r\n" . $data;
-                $this->_decodeMimeMessage($data, $this->headers, $attachments);
+                $this->_decodeMimeMessage($data, $headers, $attachments);
                 $useEncoding = 'Mime';
             }
-            if (!isset($this->headers['content-type'])) {
-                $this->headers['content-type'] = stripslashes($_SERVER['CONTENT_TYPE']);
+            if (!isset($headers['content-type'])) {
+                $headers['content-type'] = stripslashes($_SERVER['CONTENT_TYPE']);
             }
             if (!$this->fault &&
-                !$this->_getContentEncoding($this->headers['content-type'])) {
+                !$this->_getContentEncoding($headers['content-type'])) {
                 $this->xml_encoding = SOAP_DEFAULT_ENCODING;
                 /* Found encoding we don't understand; return a fault. */
@@ -210,12 +210,9 @@
          * WSDL file. */
         if (!$this->fault && !$test &&
-            ((isset($_SERVER['REQUEST_METHOD']) &&
-              $_SERVER['REQUEST_METHOD'] != 'POST') ||
-             (isset($this->headers['content-type']) &&
-              strncmp($this->headers['content-type'], 'text/xml', 8) != 0))) {
+            ($_SERVER['REQUEST_METHOD'] != 'POST' ||
+             strncmp($headers['content-type'], 'text/xml', 8) != 0)) {
             /* This is not possibly a valid SOAP request, try to return a WSDL
              * file. */
-            $got = isset($this->headers['content-type']) ? $this->headers['content-type'] : 'Nothing!';
-            $this->_raiseSoapFault('Invalid SOAP request, must be POST with content-type: text/xml, got: ' . $got, '', '', 'Server');
+            $this->_raiseSoapFault('Invalid SOAP request, must be POST with content-type: text/xml, got: ' . (isset($headers['content-type']) ? $headers['content-type'] : 'Nothing!'), '', '', 'Server');
         }
 
@@ -383,14 +380,8 @@
     {
         /* Parse response, get SOAP_Parser object. */
-        $parser = new SOAP_Parser($data, $this->xml_encoding, $attachments);
-
+        $parser =& new SOAP_Parser($data, $this->xml_encoding, $attachments);
+        /* If fault occurred during message parsing. */
         if ($parser->fault) {
-            /* Fault occurred during message parsing. */
             $this->fault = $parser->fault;
-            return null;
-        }
-        if (!count($parser->root_struct_name)) {
-            /* No method specified. */
-            $this->_raiseSoapFault('No method specified in request.');
             return null;
         }
@@ -553,5 +544,5 @@
         if (is_array($requestArray)) {
             if (isset($requestArray['faultcode']) ||
-                isset($requestArray[SOAP_BASE::SOAPENVPrefix().':faultcode'])) {
+                isset($requestArray['SOAP-ENV:faultcode'])) {
                 $faultcode = $faultstring = $faultdetail = $faultactor = '';
                 foreach ($requestArray as $k => $v) {
@@ -809,5 +800,5 @@
      * @return void
      */
-    function addObjectWSDL($wsdl_obj, $targetNamespace, $service_name,
+    function addObjectWSDL(&$wsdl_obj, $targetNamespace, $service_name,
                            $service_desc = '')
     {
